Tweak to default RHEL partition table
Status: Closed   

Priority: Low   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The existing one is non-lvm which probably sets people up for trouble in the future.  I changed mine to:

zerombr yes

clearpart --all --initlabel

part /boot --fstype ext3 --size=200 --asprimary

part swap  --recommended

part pv.01 --size=1 --grow

volgroup VolGroup01 pv.01

logvol / --fstype ext4 --name=root --vgname=VolGroup01 --size=1 --grow

Maybe we could do something similar by default in foreman.  They should get a 200M /boot, self-calculated swap and a single giant

LVM logvol of /.  It's enough to get them started without being too clever!

History

#1 - 08/18/2011 10:12 AM - Ashley Penney

Make that:

zerombr

clearpart --all --initlabel

part /boot --fstype ext3 --size=200 --asprimary

part swap --recommended

part pv.01 --size=1 --grow

volgroup VolGroup01 pv.01

logvol / --fstype ext4 --name=root --vgname=VolGroup01 --size=1 --grow

I just found out that arguments to zerombr are deprecated in RHEL6.

#2 - 09/04/2011 06:52 AM - Ohad Levy

care to update it as a patch?

thanks

#3 - 01/29/2012 07:20 AM - Ohad Levy

bump

#4 - 07/02/2012 06:43 AM - Ohad Levy

bump bump?

#5 - 06/18/2013 09:34 AM - Benjamin Papillon

- Status changed from New to Closed

- Target version set to 1.2.0
The default RedHat partition table has been changed for 1.2.

Feel free to reopen the ticket if it does not match your needs.

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

